<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class PrecoDifProd {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function getProdPrecodia($CDARVPRODINI, $CDARVPRODFINAL, $CDTABEPREC, $CDFILIAL, $DTINIVGPREC, $NRORG){
		$params = array( 
			':CDARVPRODINI'       => $CDARVPRODINI,
			':CDARVPRODFINAL'       => $CDARVPRODFINAL,
			':CDTABEPREC'       => $CDTABEPREC,
			':CDFILIAL'       => $CDFILIAL,
			':DTINIVGPREC'       => $DTINIVGPREC,
			':NRORG'       => $NRORG
		);
		$PRODUTOS = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PROD_TO_PRECODIA, $params);
		foreach ($PRODUTOS as $product) {
			$params = array( 
				':CDPRODUTO'       => $product['CDPRODUTO'],
				':CDTABEPREC'       => $CDTABEPREC,
				':CDFILIAL'       => $CDFILIAL,
				':DTINIVGPREC'       => $DTINIVGPREC,
				':NRORG'       => $NRORG
			);
			$this->entityManager->getConnection()->executeQuery(Utilities\Query::CLEAR_PRODDIA, $params);
		}
		return $PRODUTOS;
	}
	
	public function getAllProdPrecoDia($CDTABEPREC, $CDFILIAL, $DTINIVGPREC, $NRORG){
		$params = array( 
			':CDTABEPREC'       => $CDTABEPREC,
			':CDFILIAL'       => $CDFILIAL,
			':DTINIVGPREC'       => $DTINIVGPREC,
			':NRORG'       => $NRORG
		);
		$PRODUTOS = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_ALL_PROD_TO_PRECODIA, $params);
		foreach ($PRODUTOS as $product) {
			$params = array( 
				':CDPRODUTO'       => $product['CDPRODUTO'],
				':CDTABEPREC'       => $CDTABEPREC,
				':CDFILIAL'       => $CDFILIAL,
				':DTINIVGPREC'       => $DTINIVGPREC,
				':NRORG'       => $NRORG
			);
			$this->entityManager->getConnection()->executeQuery(Utilities\Query::CLEAR_PRODDIA, $params);
		}
		return $PRODUTOS;
	}
}
